Bug 976573 - [abrt] sssd-common-1.10.0-11.fc19.beta2: talloc_abort: Process /usr/libexec/sssd/sssd_be was killed by signal 6 (SIGABRT)
Summary: [abrt] sssd-common-1.10.0-11.fc19.beta2: talloc_abort: Process /usr/libexec/s...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: sssd
Version: 19
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jakub Hrozek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:6c787f47ba78cd2c09176220794...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-06-20 20:23 UTC by David Woodhouse
Modified: 2020-05-02 17:23 UTC (History)
7 users (show)

Fixed In Version: sssd-1.10.1-1.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-07-30 17:50:38 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (13.69 KB, text/plain)
2013-06-20 20:23 UTC, David Woodhouse
no flags Details
File: cgroup (137 bytes, text/plain)
2013-06-20 20:24 UTC, David Woodhouse
no flags Details
File: core_backtrace (1.73 KB, text/plain)
2013-06-20 20:24 UTC, David Woodhouse
no flags Details
File: dso_list (7.35 KB, text/plain)
2013-06-20 20:24 UTC, David Woodhouse
no flags Details
File: environ (2.44 KB, text/plain)
2013-06-20 20:24 UTC, David Woodhouse
no flags Details
File: limits (1.29 KB, text/plain)
2013-06-20 20:24 UTC, David Woodhouse
no flags Details
File: maps (34.26 KB, text/plain)
2013-06-20 20:24 UTC, David Woodhouse
no flags Details
File: open_fds (1.42 KB, text/plain)
2013-06-20 20:24 UTC, David Woodhouse
no flags Details
File: proc_pid_status (901 bytes, text/plain)
2013-06-20 20:24 UTC, David Woodhouse
no flags Details
File: var_log_messages (329 bytes, text/plain)
2013-06-20 20:24 UTC, David Woodhouse
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github SSSD sssd issues 3034 0 None None None 2020-05-02 17:23:43 UTC

Description David Woodhouse 2013-06-20 20:23:55 UTC
Version-Release number of selected component:
sssd-common-1.10.0-11.fc19.beta2

Additional info:
reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        /usr/libexec/sssd/sssd_be --domain ger.corp.intel.com -d 0x77f0 --debug-to-files
crash_function: talloc_abort
executable:     /usr/libexec/sssd/sssd_be
kernel:         3.9.5-301.fc19.x86_64
runlevel:       N 5
uid:            0

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 talloc_abort at ../talloc.c:338
 #3 talloc_abort_unknown_value at ../talloc.c:362
 #4 talloc_chunk_from_ptr at ../talloc.c:381
 #5 talloc_get_name at ../talloc.c:1253
 #6 talloc_check_name at ../talloc.c:1272
 #7 nsupdate_child_handler at src/providers/dp_dyndns.c:890
 #8 child_invoke_callback at src/util/child_common.c:580
 #9 tevent_common_loop_immediate at ../tevent_immediate.c:135
 #10 epoll_event_loop_once at ../tevent_epoll.c:912
 #11 std_event_loop_once at ../tevent_standard.c:112

Comment 1 David Woodhouse 2013-06-20 20:23:59 UTC
Created attachment 763573 [details]
File: backtrace

Comment 2 David Woodhouse 2013-06-20 20:24:06 UTC
Created attachment 763574 [details]
File: cgroup

Comment 3 David Woodhouse 2013-06-20 20:24:10 UTC
Created attachment 763575 [details]
File: core_backtrace

Comment 4 David Woodhouse 2013-06-20 20:24:13 UTC
Created attachment 763576 [details]
File: dso_list

Comment 5 David Woodhouse 2013-06-20 20:24:17 UTC
Created attachment 763577 [details]
File: environ

Comment 6 David Woodhouse 2013-06-20 20:24:21 UTC
Created attachment 763578 [details]
File: limits

Comment 7 David Woodhouse 2013-06-20 20:24:25 UTC
Created attachment 763579 [details]
File: maps

Comment 8 David Woodhouse 2013-06-20 20:24:29 UTC
Created attachment 763580 [details]
File: open_fds

Comment 9 David Woodhouse 2013-06-20 20:24:33 UTC
Created attachment 763581 [details]
File: proc_pid_status

Comment 10 David Woodhouse 2013-06-20 20:24:37 UTC
Created attachment 763582 [details]
File: var_log_messages

Comment 11 Pavel Březina 2013-06-21 13:34:21 UTC
Hi,
is this issue reproducible? Can you attach sssd logs please?

Comment 12 Pavel Březina 2013-06-21 13:49:27 UTC
Upstream ticket:
https://fedorahosted.org/sssd/ticket/1992

Comment 13 Jakub Hrozek 2013-06-21 14:45:14 UTC
I think the suspiction you have about timeout is correct, David's DNS server wasn't the AD server but rather dnsmasq. But we have a unit test that exercises the timeout..

Comment 14 Jakub Hrozek 2013-06-28 09:11:59 UTC
There is a patch on the list. Didn't make 1.10.0 though.

Comment 15 Jakub Hrozek 2013-07-09 13:57:04 UTC
Upstream ticket:
https://fedorahosted.org/sssd/ticket/1992

Comment 16 Jakub Hrozek 2013-07-17 13:04:29 UTC
Fixed upstream:

master: 711bba7e2f72a816774effa389ad13bcc46e7843
sssd-1-10: 800c9402f74b1587aeddeb8160fb7d775b7cde25

Comment 17 Fedora Update System 2013-07-18 19:46:13 UTC
sssd-1.10.1-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/sssd-1.10.1-1.fc19

Comment 18 Fedora Update System 2013-07-20 09:45:26 UTC
Package sssd-1.10.1-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing sssd-1.10.1-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-13278/sssd-1.10.1-1.fc19
then log in and leave karma (feedback).

Comment 19 Fedora Update System 2013-07-30 17:50:38 UTC
sssd-1.10.1-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.